* getting children's education
clear
infile using H00PR_MC.dct
gen HHIDSUB=HHID+"-"+FSUBHH

gen HHIDSUBFAM=HHID+"-"+FSUBHH+"-"+FPN_FAM

gen HHIDSUBOPN=HHID+"-"+FSUBHH+"-"+OPN
sort HHIDSUBOPN
save H00PR_MC.dta, replace

clear
infile using H00D_MC.dct

gen HHIDSUB=HHID+"-"+GSUBHH

gen HHIDSUBFAM=HHID+"-"+GSUBHH+"-"+GPN_FAM

gen HHIDSUBOPN=HHID+"-"+GSUBHH+"-"+OPN
sort HHIDSUBOPN

merge HHIDSUBOPN using e:\Maruyama\Game\HRS\2000\H00PR_MC.dta
tab _merge
*do not allow for 2s, not in 2004 data but exist because there is no other info about them
drop if _merge==2
drop _merge

bysort HHIDSUBFAM OPN: gen index=_n
tab index
keep if index==1 
drop index

keep G2007-G2008 HHID* G1977 

gen C_nodegree=G2008<=11
replace C_nodegree=1 if G2008>=96 & G2008<=99
gen C_college=G2008==16
gen C_master=G2008==17
gen C_educmiss=G2008==.
sort  HHIDSUBOPN
save childeduc00.dta, replace

clear
infile H04E_MC.dct
gen HHIDSUB=HHID+"-"+JSUBHH
gen HHIDSUBFAM=HHID+"-"+JSUBHH+"-"+JPN_FAM
gen HHIDSUBOPN=HHID+"-"+JSUBHH+"-"+OPN
sort HHIDSUBOPN
gen C_nodegree04=JE029<=11
replace C_nodegree04=1 if JE029>=96 & JE029<=99
gen C_college04=JE029==16
gen C_master04=JE029==17
gen C_educmiss04=JE029==.
sort  HHIDSUBOPN
save childeduc04.dta, replace

clear
infile using H10E_MC.dct
gen HHIDSUB=HHID+"-"+MSUBHH
gen HHIDSUBFAM=HHID+"-"+MSUBHH+"-"+MPN_FAM
gen HHIDSUBOPN=HHID+"-"+MSUBHH+"-"+OPN
sort HHIDSUBOPN
gen C_nodegree10=ME029<=11
replace C_nodegree10=1 if ME029>=96 & ME029<=99
gen C_college10=ME029==16
gen C_master10=ME029==17
gen C_educmiss10=ME029==.
sort  HHIDSUBOPN
save childeduc10.dta, replace

